Bug 905371 - kde login fails after last update
kde login fails after last update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 04:30 EST by Fabio Brugnara
Modified: 2013-02-05 12:04 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 22:08:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Brugnara 2013-01-29 04:30:45 EST
Description of problem:

After the last update, it became impossible to login in a KDE session.

Version-Release number of selected component (if applicable):
kde-settings 4.9.18.fc18

How reproducible:
always, to me

Steps to Reproduce:
1. wait for the kdm screen to appear
2. try to login in kde session
3.
  
Actual results:

KDE session is aborted immediately, and you are brought back to login screen

Expected results:

KDE session starts

Additional info:

After some struggling, I found a script

/etc/kde/env/fedora-kde-display-handler.sh

that is invoked during kde startup, and, according to rpm, belongs to the above mentioned package.
It contains "exit" commands that cause the whole startkde script to stop.
Everything went OK by substituting the "exit" commands in that script with "return" statements.

bye,
thank you for the good work on fedora and KDE

Fabio Brugnara
Comment 1 Fedora Update System 2013-01-29 06:43:11 EST
libkscreen-0.0.71-2.fc17, kde-workspace-4.9.5-4.fc17, kscreen-0.0.71-3.fc17, kde-settings-4.8-24.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2013-1248/kde-settings-4.8-24.fc17,kde-workspace-4.9.5-4.fc17,kscreen-0.0.71-3.fc17,libkscreen-0.0.71-2.fc17
Comment 2 Fedora Update System 2013-01-29 06:45:58 EST
libkscreen-0.0.71-2.fc18, kde-workspace-4.9.5-4.fc18, kscreen-0.0.71-3.fc18, kde-settings-4.9-19.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-1183/kde-settings-4.9-19.fc18,kde-workspace-4.9.5-4.fc18,libkscreen-0.0.71-2.fc18,kscreen-0.0.71-3.fc18
Comment 3 Rex Dieter 2013-01-29 07:52:14 EST
well, craptastic.  Ill fix asap
Comment 4 Rex Dieter 2013-01-29 08:05:40 EST
I see someone else (dvratil) stepped up to take care of it... the new kde-settings builds referenced above should fix things.

And thanks for the excellent detective-work and diagnosis.
Comment 5 Fedora Update System 2013-02-01 11:50:16 EST
Package libkscreen-0.0.71-2.fc18, kde-workspace-4.9.5-4.fc18, kscreen-0.0.71-3.fc18, kde-settings-4.9-19.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libkscreen-0.0.71-2.fc18 kde-workspace-4.9.5-4.fc18 kscreen-0.0.71-3.fc18 kde-settings-4.9-19.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1183/kde-settings-4.9-19.fc18,kde-workspace-4.9.5-4.fc18,libkscreen-0.0.71-2.fc18,kscreen-0.0.71-3.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-02-04 22:08:34 EST
libkscreen-0.0.71-2.fc18, kscreen-0.0.71-3.fc18, kde-settings-4.9-19.fc18, kde-workspace-4.9.5-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-02-05 12:04:51 EST
libkscreen-0.0.71-2.fc17, kscreen-0.0.71-3.fc17, kde-settings-4.8-24.fc17, kde-workspace-4.9.5-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.